import request from '@/utils/request'

// 查询违规词语列表
export function listFastGptChatReplaceText(query) {
  return request({
    url: '/fastGpt/fastGptChatReplaceText/list',
    method: 'get',
    params: query
  })
}

// 查询违规词语详细
export function getFastGptChatReplaceText(id) {
  return request({
    url: '/fastGpt/fastGptChatReplaceText/' + id,
    method: 'get'
  })
}

// 新增违规词语
export function addFastGptChatReplaceText(data) {
  return request({
    url: '/fastGpt/fastGptChatReplaceText',
    method: 'post',
    data: data
  })
}

// 修改违规词语
export function updateFastGptChatReplaceText(data) {
  return request({
    url: '/fastGpt/fastGptChatReplaceText',
    method: 'put',
    data: data
  })
}

// 删除违规词语
export function delFastGptChatReplaceText(id) {
  return request({
    url: '/fastGpt/fastGptChatReplaceText/' + id,
    method: 'delete'
  })
}

// 导出违规词语
export function exportFastGptChatReplaceText(query) {
  return request({
    url: '/fastGpt/fastGptChatReplaceText/export',
    method: 'get',
    params: query
  })
}
